| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::Serializer Class Reference
Core » General

Generic class for serialising data to / from binary stream-based files. More...

`#include <OgreSerializer.h>`

Inheritance diagram for Ogre::Serializer:
[legend]

## Public Types
enum | Endian { ENDIAN_NATIVE, ENDIAN_BIG, ENDIAN_LITTLE }
| The endianness of written files. More...

## Public Member Functions
| Serializer ()
| ~Serializer ()

## Detailed Description

Generic class for serialising data to / from binary stream-based files.

Remarks
  This class provides a number of useful methods for exporting / importing data from stream-oriented binary files (e.g. .mesh and .skeleton).

## Member Enumeration Documentation

## ◆ Endian

enum Ogre::Serializer::Endian

The endianness of written files.

Enumerator
ENDIAN_NATIVE | Use the platform native endian.
ENDIAN_BIG | Use big endian (0x1000 is serialised as 0x10 0x00)
ENDIAN_LITTLE | Use little endian (0x1000 is serialised as 0x00 0x10)

## Constructor & Destructor Documentation

## ◆ Serializer()

Ogre::Serializer::Serializer | ( |  | ) |

## ◆ ~Serializer()

Ogre::Serializer::~Serializer | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreSerializer.h